import ObservedInteger from "../../../core/model/ObservedInteger.js";

class Team extends ObservedInteger {
    /**
     *
     * @param value
     * @constructor
     */
    constructor(value = 0) {
        super(value);
    }

    clone() {
        return new Team(this.getValue());
    }

    /**
     *
     * @param {object} json
     * @returns {Team}
     */
    static fromJSON(json) {
        const t = new Team();

        t.fromJSON(json);

        return t;
    }
}

Team.typeName = "Team";


export default Team;

